%global npm_name getpass

Name: nodejs-getpass
Version: 0.1.7
Release: %mkrel 5
Summary: Getpass for node
License: MIT
Group: Development/Other
URL: https://github.com/arekinath/node-getpass#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assert-plus) >= 1.0.0
Requires: npm(assert-plus) < 2.0.0
BuildArch: noarch

%description
Gets a password from the terminal. If available, this uses /dev/tty to avoid
interfering with any data being piped in or out of stdio.

This function prints a prompt (by default Password:) and then accepts input
without echoing.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.1.7-5.mga9
+ Revision: 1820426
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 joequant <joequant> 0.1.7-4.mga8
+ Revision: 1638131
- update deps

* Fri Oct 02 2020 tv <tv> 0.1.7-3.mga8
+ Revision: 1631672
- rebuild in order to fix deps

* Fri Feb 14 2020 umeabot <umeabot> 0.1.7-2.mga8
+ Revision: 1521218
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 0.1.7-1.mga7
+ Revision: 1341719
- imported package nodejs-getpass

